/*

*/

/* ************************************ */
/* GLOBAL STYLING */
/* ************************************ */

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    hyphens: auto;
}

body {
    font-family: "Open Sans", sans-serif;
    line-height: 1;
    font-weight: 400;
    color: #444;
    background-color: #fefcf4;
    margin: 0 auto;
    overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5 {
    font-family: "EB Garamond", serif;
}

/* ************************************ */
/* GENERAL COMPONENTS */
/* ************************************ */

.heading-primary,
.heading-secondary,
.heading-tertiary,
.heading-quaternary {
    font-weight: 500;
    letter-spacing: -0.75px;
    color: #333;
}

.heading-primary {
    font-size: 12.8rem;
}

.heading-secondary {
    font-size: 5.2rem;
    margin-bottom: 8rem;
}

.heading-tertiary {
    font-size: 5.2rem;
    margin-bottom: 3.2rem;
}

.heading-quaternary {
    font-size: 4.4rem;
    margin-bottom: 2.4rem;
}

.btn-link,
.btn-link:link,
.btn-link:visited {
    display: inline-block;
    z-index: 10;

    font-size: 2rem;
    font-weight: 600;
    text-decoration: none;
    color: #f3f8f3;
    background-color: #83b582;

    padding: 2.4rem 3.2rem;
    border-radius: 10px;

    border: none;
    cursor: pointer;
    font-family: inherit;

    /* Animation for hover, etc. in CSS only. Should always be in original "state" */
    transition: all 0.3s;
}

.btn-link:hover,
.btn-link:active {
    color: #f3f8f3;
    background-color: #4f6d4e;
}

/* MEDIA-QUERIES 940px  */
@media (max-width: 58.75rem) {

    .heading-secondary {
        font-size: 4.4rem;
        margin-bottom: 6.4rem;
    }

    .heading-tertiary {
        font-size: 4.4rem;
        margin-bottom: 3.2rem;
    }

    .heading-quaternary {
        font-size: 3.6rem;
    }

    .btn-link,
    .btn-link:link,
    .btn-link:visited {

    }
}

/* MEDIA-QUERIES 770px  */
@media (max-width: 48.125rem) {
    .btn-link,
    .btn-link:link,
    .btn-link:visited {
        font-size: 1.8rem;
        padding: 1.6rem 2.4rem;

        display: block;
        width: fit-content; /* Button bleibt so breit wie sein Inhalt */
        margin: 0 auto; /* zentriert horizontal */
    }
}

/* MEDIA-QUERIES 600px   */
@media (max-width: 37.5rem) {
    .heading-secondary {
        font-size: 3.6rem;
        margin-bottom: 3.2rem;
    }

    .heading-tertiary {
        font-size: 3.6rem;
        margin-bottom: 1.6rem;
    }

    .heading-quaternary {
        font-size: 3.0rem;
        margin-bottom: 1.2rem;
    }
}

/* MEDIA-QUERIES 360px    */
@media (max-width: 22.5rem ) {
    .heading-secondary {
        font-size: 3.0rem;
    }

    .heading-tertiary {
        font-size: 3.0rem;
    }

    .heading-quaternary {
        font-size: 2.4rem;
    }

    .btn-link,
    .btn-link:link,
    .btn-link:visited {
        font-size: 1.4rem;
        padding: 1.6rem 2.4rem;
    }
}

/* ************************************ */
/* CLICKABLE IMAGES */
/* ************************************ */

.clickable-img {
    display: block;
    position: relative;
    cursor: pointer;

    max-width: 100%;
    z-index: 1;
}

.clickable-img.zoomed {
    position: fixed;
    top: 50%;
    left: 50%;

    width: auto;
    height: 80vh;
    transform: translate(-50%, -50%) scale(1);
    z-index: 1000;
}

.aspect-ratio-img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

/* OVERLAY */
.zoom-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    visibility: hidden;
    z-index: 100;
    transition: opacity 0.3s ease;
}

.zoom-overlay.active {
    opacity: 1;
    visibility: visible;
}

/* MEDIA-QUERIES 940px  */
@media (max-width: 58.75rem) {
    .clickable-img.zoomed {
        width: 80vw;
        height: auto;
    }
}

/* ************************************ */
/* NAVIGATION // HEADER */
/* ************************************ */
.nav {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 99;

    height: 8rem;
    padding: 0 6.4rem;

    display: flex;
    align-items: center;
    justify-content: space-between;

    background-color: transparent;
    background-image: linear-gradient(to bottom, #a8cba8, #a8cba8f9);
}

.nav-logo-box {
    display: flex;
    flex-direction: column;
    transition: all 0.15s;
}

.nav-logo-box:hover {
    transform: scale(105%);
}

.nav-list-left,
.nav-list-right {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 8rem;
}

.nav-link:link,
.nav-link:visited {
    color: #333;
    font-weight: 600;
    font-size: 2rem;

    text-decoration: none;
    transition: all 0.2s;
}

.nav-link:hover,
.nav-link:active {
    color: #ffffc5;
}

.nav-logo-link {
    text-decoration: none;
}

.heading-logo {
    font-weight: 700;
    font-size: 3.2rem;
    letter-spacing: -0.75px;
    color: #333;
}

.heading-logo:last-child {
    padding-left: 2rem;
    margin-top: -0.8rem;
}

/* MEDIA-QUERIES 1100px */
@media (max-width: 68.75rem) {
    .heading-logo {
        font-size: 3.0rem;
    }

    .heading-logo:last-child {
    }

    .nav-link:link,
    .nav-link:visited {
        font-size: 1.8rem;
    }

    .nav-list-left,
    .nav-list-right {
        gap: 4rem;
    }
}

/* MEDIA-QUERIES 940px  */
/* MOBILE NAVIGATION BECOMES ACTIVE */
@media (max-width: 58.75rem) {

    .nav {
        padding: 0 4.8rem;
    }

    .nav-open .nav-list-left,
    .nav-open .nav-list-right {
        /* Show mobile navigation if nav-open class is present */
        opacity: 1;
        pointer-events: auto;
        visibility: visible;
    }

    .nav-list-left,
    .nav-list-right {
        position: absolute;
        top: 0;
        left: 0;

        width: 100%;

        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 0.3s ease;

        flex-direction: column;
        gap: 6.4rem;

        /* Hide mobile navigation. It should only be visible when active (nav-open) */
        opacity: 0; /* hide visually*/
        pointer-events: none; /* hide it from input */
        visibility: hidden; /* hide it from screen readers */

    }

    .nav-list-left {
        background-color: rgba(255, 255, 255, 0.95);
        top: -20vh;
        height: 120vh;
    }

    .nav-list-right {
        top: 60vh;
    }

    .nav-link:link,
    .nav-link:visited {
        font-size: 3.6rem;
    }
}

/* MEDIA-QUERIES 770px */
@media (max-width: 48.125rem) {

    .nav {
        padding: 0 3.2rem;
    }
}

/* MEDIA-QUERIES 600px   */
@media (max-width: 37.5rem) {

    .nav {
        padding: 0 2.4rem;
    }
}

/* MEDIA-QUERIES 360px    */
@media (max-width: 22.5rem ) {

    .nav {
        padding: 0 1.6rem;
    }
}

/* ************************************ */
/* MOBILE NAVIGATION */
/* ************************************ */
.btn-mobile-nav {
    border: none;
    background: none;
    cursor: pointer;

    display: none;
}

.btn-mobile-nav-icon {
    height: 4.8rem;
    width: 4.8rem;
    color: #333;
}

#close-icon, #menu-icon {
    display: none;
}


/* MEDIA-QUERIES 940px  */
@media (max-width: 58.75rem) {

    .btn-mobile-nav {
        display: block;
        z-index: 2;
    }

    #menu-icon {
        display: block;
    }

    .nav-open #close-icon {
        display: block;
    }

    .nav-open #menu-icon {
        display: none;
    }

}

/* ************************************ */
/* FOOTER */
/* ************************************ */
.footer {
    background-color: #1a241a;
    padding-top: 9.6rem;
    padding-bottom: 4.8rem;
}

.footer-container {
    max-width: 200rem;
    margin: 0 auto;
    padding: 0 6.4rem;
    padding-bottom: 3.6rem;

    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: 1fr;

    /* justify-items: center; */
    align-items: center;
}

.footer-logo-box {
}

.footer-logo {
    color: #fefcf4;
    font-size: 4.4rem;
}

.footer-logo:last-child {
    transform: translate(3.2rem, 0);
}

.footer-info-box,
.footer-contact-box {
    align-self: center;
    justify-self: end;
}

.footer-list-heading {
    color: #fefcf4;
    font-size: 2.4rem;
    margin-bottom: 3.2rem;
}

.footer-link:link,
.footer-link:visited {
    color: #fefcf4;
    text-decoration: none;

    transition: all 0.2s;
}

.footer-link:hover,
.footer-link:active {
    color: #f0dd92;
}

.footer-info-list,
.footer-contact-list {
    color: #fefcf4;
    font-size: 1.6rem;

    display: flex;
    flex-direction: column;
    align-items: start;
    list-style: none;
    gap: 2.4rem;
    margin-left: 0.4rem;
}

/* MEDIA-QUERIES 1300px  */
@media (max-width: 81.25rem) {
    .footer-logo {
        font-size: 3.6rem;
    }

    .footer-list-heading {
        font-size: 2.0rem;
    }

    .footer-info-list,
    .footer-contact-list {
        font-size: 1.4rem;
    }
}

/* MEDIA-QUERIES 1100px  */
@media (max-width: 68.75rem ) {
    .footer-container {
        grid-template-columns: 1.5fr 1fr 1fr;
    }
}

/* MEDIA-QUERIES 940px   */
@media (max-width: 58.75rem ) {
    .footer-logo {
        font-size: 3.0rem;
    }

    .footer-list-heading {
        font-size: 1.8rem;
    }

    .footer-info-list,
    .footer-contact-list {
        font-size: 1.2rem;
    }
}

/* MEDIA-QUERIES 770px    */
@media (max-width: 48.125rem ) {
    .footer-container {
        grid-template-columns: 2fr 1fr;
        grid-template-rows: 1fr 1fr;
        row-gap: 3.2rem;
    }

    .footer-contact-box, .footer-info-box {
        justify-self: start;
    }

    .footer-logo-box {
        grid-row: 1/3;
    }

    .footer-logo {
        font-size: 3.6rem;
    }

    .footer-list-heading {
        font-size: 1.6rem;
        margin-bottom: 2.4rem;
    }

    .footer-info-list,
    .footer-contact-list {
        gap: 1.2rem;
    }
}

/* MEDIA-QUERIES 600px    */
@media (max-width: 37.5rem ) {

    .footer-container {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        row-gap: 2.4rem;
        padding-bottom: 0;
    }

    .footer-contact-box, .footer-info-box {
        justify-self: center;
    }

    .footer-logo-box {
        justify-self: center;
        transform: translate(-1.6rem, 0);
        grid-row: 3;
    }

    .footer-logo {
        font-size: 3.0rem;
    }
}

/* MEDIA-QUERIES 360px    */
@media (max-width: 22.5rem ) {

    .footer-logo {
        font-size: 2.4rem;
    }

    .footer-list-heading {
        margin-bottom: 1.6rem;
    }

}

/* ************************************ */
/* HELPER CLASSES */
/* ************************************ */

.container {
    max-width: 120rem;
    padding: 0;
    padding-inline: 4.8rem;
    margin: 0 auto;
    /* optional: schützt gegen „zu breite“ Inhalte (z.B. große Bilder) */
    width: 100%;
}

.is-hidden {
    display: none !important;
}

.center {
    text-align: center;
}

.align-right {
    text-align: end;
}

/* MEDIA-QUERIES 940px  */
@media (max-width: 58.75rem) {
    .container {
        padding-inline: 3.2rem;
    }
}

/* MEDIA-QUERIES 770px  */
@media (max-width: 48.125rem) {
    .container {
        padding-inline: 2.4rem;
    }
}

/* MEDIA-QUERIES 600px    */
@media (max-width: 37.5rem ) {

}

/* MEDIA-QUERIES 360px    */
@media (max-width: 22.5rem ) {
    .container {
        padding-inline: 1.6rem;
    }
}